Dystrybucje Linux > Arch

Menadżer pakietów w trybie graficznym

(1/18) > >>

ciubaka:
Dzień dobry.
Niedawno stałem się szczęśliwym posiadaczem systemu Arch Xfce na moim nowym/starym laptopie.
Instalowałem przy pomocy Anarchy, po niewielkich , opisywanych w innym wątku problemach udało się to wykonać.
System działa, jest ładny i sprawny, nawet cocnieco udało mi się tam doinstalować, bo 'Anarchizowałem golasa".
No właśnie - conieco, i tu zaczyna się problem.
Robiłem to przy pomocy aplikacji Pakiety, w trybie graficznym.
Ale ostatnio chciałem dodać przeglądarkę Atril i menadżera Conky.
I Pakiety pokazują mi, że w obie rzeczy tam są, a w dostępnych programach ich nie widzę.
W przypadku Atril kliknąłem w Pakiety na Usuń, a potem po usunięciu na Zainstaluj i działa.
Conky też pokazuje taką możliwość.
Ale to proces żmudny i wydaje mi się - bezsensowny.
No bo skoro coś jest to dlaczego żeby to uruchomić muszę najpierrw odinstalować a potem z powrotem zainstalować?
Stąd pytanie - czy jest jakiś lepszy graficzny instalator pakietów dla Archa, coś w stylu na przykład Gnome Software Center czy Apptus w innych dystrybucjach?
Czy też skazany jestem na konsolę i Pacmana?
Zwłaszcza że Pakiety i Aktualizacja pakietów za każdym razem ostrzegają mnie, że tryb graficzny jest niebezpieczny i może uszkodzić system.
Ale - po co wtedy w ogóle są dostępne?
To moje początki z Archem (Manjaro i Antegros to jednak co innego), nie chciałbym odkrywać Ameryki ani przegryzać się przez tony literatury źródłowej.
Byłbym wdzięczny za jakąś podpowiedź.
Z góry dziękuję i pozdrawiam.

pavbaranov:
Nie wiem co to jest "Pakiety" i "aktualizacja pakietów", ale - jeśli dobrze wiem - to w Archu czegoś takiego nie ma, a zatem pociągnęło z innych repozytoriów. Osobiście uważam, że absolutnie najlepszym i niezawodnym sposobem instalacji paczek w Archu "ze wszystkiego" jest pak (github.com/polaur/new-branded/pak). Spośród graficznych mogę jedynie polecić octopi; jest w repozytorium chaotic-aur i tak będzie Ci to najłatwiej zainstalować. Oryginalnie jest w AUR i wymaga to kompilacji. Wprawdzie jest to na Qt, ale nie zawodzi. Nt. pamac (z którego być może pochodzą owe "Pakiety") nie będę się wypowiadać, bowiem jest to program z Manjaro. Powinien działać dobrze, ale czy tak jest - nie wiem. Mam dość ograniczone zaufanie do manjarowych produktów.

ciubaka:
Dziękuję.
Zapoznam się zatem z octopi.
Albo przekonam się do pacmana.
W sumie to raptem kilka komend, może ogarnę.
Paka zostawiam sobie na potem.
Manjarowych rzeczy nie używam, miałem Manjaro trzykrotnie i jak to mówią - do trzech razy sztuka.
Stykło mi, tak jak i innych linuxów na M.
Aplikacje Pakiety i Aktualizacja pakietów były od początku, może weszły z Anarchy, którym instalowałem system.
Instalator był OK, więc inne rzeczy też powinny.
Moze jeszcze czegoś nie rozumiem, może się dowiem, może Kolega Robert podpowie.
On jak by nie było - jest tu magikiem od Anarchii :-)
Dziękuję Pawle za podpowiedź.
Pozdrawiam.

pavbaranov:
PAK zrobi jedną rzecz: nie dopuści do tzw. częściowej aktualizacji. Naprawdę polecam.

robson75:

--- Cytat: ciubaka w Maj 09, 2021, 10:54:39 am ---Ale ostatnio chciałem dodać przeglądarkę Atril i menadżera Conky.

--- Koniec cytatu ---
Conky manager od dawna jest bezużyteczny (od kiedy w conky obowiązuje nowa składnia), proponuje zbudować conky-manager2 z AUR

--- Kod ---https://aur.archlinux.org/packages/conky-manager2-git/
--- Koniec kodu ---

A jeżeli chodzi o managera paczek, to używam pamac-classic z repa chaotic-aur.

Nawigacja

[0] Indeks wiadomości

[#] Następna strona

Idź do wersji pełnej